# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(appindicator3-0.1) pkgconfig(libselinux)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global _legacy_common_support 1

Summary: Modem internet connection tool for the GNOME Desktop
Name: gtk-ppp
Version: 3.0.1
Release: alt1_3
URL: https://sourceforge.net/projects/gtk-ppp
License: GPLv2+
Group: System/Configuration/Networking
Source0: https://sourceforge.net/projects/gtk-ppp/files/%{name}-%{version}.tar.gz
Patch1: 0001-Drop-unused-appindicator-support.patch
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: intltool
Requires: wvdial
Provides: gnome-ppp = %{version}-%{release}
Source44: import.info

%description
GTK PPP is a modem dialup tool designed to integrate nicely into GNOME
Desktop Environment. It is very similar to GPPP dialup utility created for
GNOME 1 and KDE equivalent, KPPP. Since it is a graphical frontend for the
excellent WvDial too, very little knowledge is needed to setup a dialup
connection using GTK PPP. It features ease of use, HIG dialogs, auto
detection of your modem and connection monitoring.
GTK PPP is GTK3 fork of GNOME PPP.

%prep
%setup -q
%patch1 -p1


%build
autoreconf -vfi
%configure
%make_build

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*
%{_iconsdir}/hicolor/48x48/apps/*.png


%changelog
* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_3
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_2
- update by mgaimport

* Wed Feb 20 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 3.0.0-alt1_3
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 3.0.0-alt1_2
- new version

